Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.management
Interface WebLogicMBean

All Known Subinterfaces:
  AdapterMBean, ApplicationMBean, BootMBean, ConfigSessionMBean, ConfigurationMBean, DomainMBean, EPLProcessorMBean, RuntimeMBean, StageMBean, StageMonitoringMetricRuntimeMBean, StreamMBean

public interface WebLogicMBean

The super interface for all WebLogic Event Server MBeans.

You can use WebLogic Event Server MBeans to configure, monitor, and manage WebLogic Event Server resources through JMX.

This MBean, and therefore all WebLogic Event Server MBeans, extend the following standard JMX interfaces:

javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster

Method Summary
`MBeanInfo` | `getMBeanInfo()` It returns the MBeanInfo of the MBean
`String` | `getName()` This method returns the name of the MBean
`ObjectName` | `getObjectName()` It returns the ObjectName under which the MBean is registered
`String` | `getType()` It returns the type of the MBean
`boolean` | `isRegistered()` It returns whethet the current MBean is registered with the MBean server

Method Detail

### getName

    public String getName()

  This method returns the name of the MBean

  Returns:
    - String mame of the MBean

### getType

    public String getType()

  It returns the type of the MBean

  Returns:
    a shortened version of the class name less the MBean

### getObjectName

    public ObjectName getObjectName()

  It returns the ObjectName under which the MBean is registered

  Returns:
    -

### getMBeanInfo

    public MBeanInfo getMBeanInfo()

  It returns the MBeanInfo of the MBean

  Returns:
    MBeanInfo

### isRegistered

    public boolean isRegistered()

  It returns whethet the current MBean is registered with the MBean server

  Returns:
    boolean whether MBean is registered

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD